using System.ComponentModel.DataAnnotations;

namespace Hncore.Pass.BaseInfo.Models
{

    #region 管理员
    public enum ManagerState
    {
        /// <summary>
        /// 禁用
        /// </summary>
        [Display(Name = "未启用")]
        Disabled = 0,
        /// <summary>
        /// 启用
        /// </summary>
        [Display(Name = "启用")]
        Enabled = 1
    }
    public enum AgainTokenType
    {
        /// <summary>
        /// 刷新过期时间
        /// </summary>
        [Display(Name = "刷新token过期时间")]
        Expire = 0,
        /// <summary>
        /// 刷新管理项目
        /// </summary>
        [Display(Name = "刷新管理项目")]
        Project = 1
    }
    #endregion 

    /// <summary>
    /// 用户注册来源
    /// </summary>
  public  enum UserCreateType
    {
        [Display(Name = "管理员添加")]
        ManagerAdd = 1,
        [Display(Name = "用户注册")]
        UserRegist = 2,
        [Display(Name = "淘宝注册")]
        TaoBaoRegist = 3,
    }

    public enum ScoreType
    {
        [Display(Name = "管理员充值")]
        ManagerAdd = 1,
        [Display(Name = "管理员扣除")]
        ManagerDeduct = 2,
        [Display(Name = "淘宝充值")]
        TaoBaoAdd = 3,
        [Display(Name = "淘宝退款")]
        TaoBaoRefund = 4,
        [Display(Name = "账号退款")]
        AccountRefund = 5,

        [Display(Name = "账号付款")]
        Pay = 6,

        [Display(Name = "用户充值")]
        UserCharge = 7,

        [Display(Name = "用户提现扣除")]
        UserCashOut = 8,
        [Display(Name = "提现被拒退还")]
        ReturnMoney = 9,
    }

    public enum UPayChannel
    {
        /// <summary>
        /// 微信H5
        /// </summary>
        [Display(Name = "微信H5")]
        WxH5 = 10,
        /// <summary>
        /// 微信公众号
        /// </summary>
        [Display(Name = "微信公众号")]
        WxMp = 20,

        /// <summary>
        /// 微信公众号
        /// </summary>
        [Display(Name = "微信Pc")]
        WxPc = 30,

        /// <summary>
        /// 支付宝H5
        /// </summary>
        [Display(Name = "支付宝H5")]
        AliH5 = 40,
        /// <summary>
        /// 支付宝
        /// </summary>
        [Display(Name = "支付宝Pc")]
        AliPc = 50,
    }

    public enum UOrderStatus
    {
        [Display(Name = "默认")]
        None = 0,
        /// <summary>
        /// 待支付
        /// </summary>
        [Display(Name = "待付款")]
        NoPay = 10,
        /// <summary>
        /// 已支付
        /// </summary>
        [Display(Name = "已付款")]
        PayOk = 20,
        /// <summary>
        /// 申请退款
        /// </summary>
        [Display(Name = "申请退款")]
        RequestRefund = 30,
        /// <summary>
        /// 人工退款
        /// </summary>
        [Display(Name = "人工退款")]
        UserRefundOver = 40,
        /// <summary>
        /// 自送退款
        /// </summary>
        [Display(Name = "自动退款")]
        AutoRefundOver = 50,
        /// <summary>
        /// 订单超时关闭
        /// </summary>
        [Display(Name = "超时关闭")]
        TimeOutClose = 80,

        /// <summary>
        /// 订单完成
        /// </summary>
        [Display(Name = "订单完成")]
        Complete = 90,

    }


}